api/v1/orders/activation
Method: POST https://developers.mobilemanager.co.uk/api/v1/orders/activation?simId={simId}
Summary
Create an order to activate a Physical SIM by specifying simId
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| simId |
The unique SIM id that's been requested to be activated |
globally unique identifier |
Required |
Body Parameters
The Activation model contains all information required to build a SIM Activation order
CreateActivateOrderModel| Name | Description | Type | Additional information |
|---|---|---|---|
| TariffId | globally unique identifier |
None. |
|
| BoltonId | globally unique identifier |
None. |
|
| PAC | string |
None. |
|
| PACMobile | string |
None. |
|
| PACExpiry | date |
None. |
|
| PACPortDate | date |
None. |
|
| DefaultAlertOptOut | boolean |
None. |
|
| Tag | string |
None. |
|
| EmailAddress | string |
None. |
|
| OwnerMobileNumber | string |
None. |
|
| CustomerId |
Only required for QR SIM activations |
globally unique identifier |
None. |
| PrivateAPN | integer |
None. |
|
| Reason | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"TariffId": "c565da50-f974-4350-b442-8e83ed7b96e9",
"BoltonId": "e0ca890b-93aa-48c9-8316-2cd457a4853b",
"PAC": "sample string 2",
"PACMobile": "sample string 3",
"PACExpiry": "2026-10-07T17:54:08.4780423+00:00",
"PACPortDate": "2026-10-07T17:54:08.4780423+00:00",
"DefaultAlertOptOut": true,
"Tag": "sample string 5",
"EmailAddress": "sample string 6",
"OwnerMobileNumber": "sample string 7",
"CustomerId": "4c26584f-0191-46ee-9f5a-0c80cb852bed",
"PrivateAPN": 1,
"Reason": "sample string 8"
}
application/xml, text/xml
Sample:
<CreateActivateOrderModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.Orders"> <Reason>sample string 8</Reason> <BoltonId>e0ca890b-93aa-48c9-8316-2cd457a4853b</BoltonId> <CustomerId>4c26584f-0191-46ee-9f5a-0c80cb852bed</CustomerId> <DefaultAlertOptOut>true</DefaultAlertOptOut> <EmailAddress>sample string 6</EmailAddress> <OwnerMobileNumber>sample string 7</OwnerMobileNumber> <PAC>sample string 2</PAC> <PACExpiry>2026-10-07T17:54:08.4780423+00:00</PACExpiry> <PACMobile>sample string 3</PACMobile> <PACPortDate>2026-10-07T17:54:08.4780423+00:00</PACPortDate> <PrivateAPN>1</PrivateAPN> <Tag>sample string 5</Tag> <TariffId>c565da50-f974-4350-b442-8e83ed7b96e9</TariffId> </CreateActivateOrderModel>
application/x-www-form-urlencoded
Sample:
TariffId=a1234567-gu1d-3x4m-pl31-e1f2g12345678&BoltonId=value&PAC=samplestring&PACMobile=samplestring&PACExpiry=value&PACPortDate=value&DefaultAlertOptOut=value&Tag=samplestring&EmailAddress=samplestring&OwnerMobileNumber=samplestring&CustomerId=value&PrivateAPN=value&Reason=samplestring
Response Information
Resource Description
Order Status Details
OrderResponseModel| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderId | globally unique identifier |
None. |
|
| Created | date |
None. |
|
| State | OrderState |
None. |
|
| OrderTimescale | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"OrderId": "b6be6b8d-3e6b-48e0-b4a1-4563c6b01343",
"Created": "2026-10-07T17:54:08.4883185+00:00",
"State": 0,
"OrderTimescale": "sample string 3"
}
application/xml, text/xml
Sample:
<OrderResponseModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.Orders"> <OrderTimescale>sample string 3</OrderTimescale> </OrderResponseModel>